Get a Solana wallet portfolio
curl --request GET \
--url https://v1.orchestrator.rhinestone.dev/deposit-processor/portfolio/solana/{address} \
--header 'x-api-key: <x-api-key>'import requests
url = "https://v1.orchestrator.rhinestone.dev/deposit-processor/portfolio/solana/{address}"
headers = {"x-api-key": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<x-api-key>'}};
fetch('https://v1.orchestrator.rhinestone.dev/deposit-processor/portfolio/solana/{address}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"tokens": [
{
"chainId": 123,
"symbol": "<string>",
"name": "<string>",
"decimals": 123,
"balance": "<string>",
"balanceUsd": 123,
"address": "<string>"
}
],
"totalUsd": 123,
"truncated": true
}{
"error": "<string>",
"details": [
{
"message": "<string>",
"path": [
"<string>"
],
"code": "<string>"
}
]
}{
"error": "<string>",
"details": [
{
"message": "<string>",
"path": [
"<string>"
],
"code": "<string>"
}
]
}Utilities
Get a Solana wallet portfolio
Returns a normalised SPL portfolio for the given Solana address by paginating through Helius wallet balances.
GET
/
portfolio
/
solana
/
{address}
Get a Solana wallet portfolio
Headers
API key for authentication
Example:
"your-api-key"
API version identifier (e.g. "2026-04.amazon"). Optional today, will become required in a future release.
Pattern:
^\d{4}-\d{2}\.[a-z0-9]+$Example:
"2026-04.amazon"
Path Parameters
Solana base58 public key
Example:
"So11111111111111111111111111111111111111112"
Was this page helpful?
⌘I